Bug 979987 - [RHSC-CLI] rhsc shell by default creates a virt cluster instead of gluster cluster.
[RHSC-CLI] rhsc shell by default creates a virt cluster instead of gluster cl...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc-cli (Show other bugs)
2.1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Sahina Bose
RamaKasturi
:
Depends On:
Blocks: 957769
  Show dependency treegraph
 
Reported: 2013-07-01 05:27 EDT by RamaKasturi
Modified: 2015-08-28 06:05 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: The Red Hat Storage Console Shell creates a virt cluster by default instead of a GlusterFS cluster. Workaround: Execute the add cluster command with the --gluster_service flag set to True. For Example, add cluster --name Test123 --cpu-id ;Intel Penryn Family; --datacenter-name Default --gluster_service True --virt_service False --version-major 3 --version-minor 2
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 06:05:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2013-07-01 05:27:58 EDT
Description of problem:
rhsc shell by default creates a virt cluster instead of gluster cluster.

Version-Release number of selected component (if applicable):
rhsc-2.1.0-0.bb4.el6rhs.noarch

How reproducible:
Always

Steps to Reproduce:
1. Login to rhsc-shell
2. Create a cluster using the command "add cluster --name Engineering --cpu-id "Intel Penryn Family" --datacenter-name Default --version-major 3 --version-minor 2
3.

Actual results:
It creates a virt cluster by default.

Expected results:
It should create a gluster cluster by default.

Additional info:
Comment 2 Itamar Heim 2013-07-02 04:12:59 EDT
please note this is REST API default behavior, not sdk/cli, so change of default should happen probably in engine side
Comment 3 Pavithra 2013-09-03 04:32:21 EDT
Sahina, please review the doc text for the known issue.
Comment 4 Sahina Bose 2013-09-03 05:17:57 EDT
Execute the add cluster  command with the --gluster_service flag set to True. -->
Execute the add cluster  command with the --gluster_service flag set to True and --virt_service set to False.
Comment 5 Dusmant 2015-08-28 06:05:24 EDT
We are not planning to fix it. Hence closing this BZ. If you think, it's applicable for 3.x release and would have an impact on customer, pls. open up a new BZ with the appropriate version. Thanks, -Dusmant

Note You need to log in before you can comment on or make changes to this bug.